
module JamRuby
  class CleanupFacebookSignup
    extend Resque::Plugins::JamLonelyJob

    @queue = :scheduled_cleanup_facebook_signup

    @@log = Logging.logger[CleanupFacebookSignup]

    def self.perform
      @@log.debug("waking up")

      FacebookSignup.delete_old
      SignupHint.delete_old

      @@log.debug("done")
    end

  end
end
